Bug 1141802

Summary: zenity lacks the --html option, probably needs to compile zenity with WebKit.
Product: [Fedora] Fedora Reporter: sudodus <nio.wiklund>
Component: zenityAssignee: Matthias Clasen <mclasen>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 20CC: mclasen
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-06-29 22:32:45 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description sudodus 2014-09-15 13:32:37 UTC
Description of problem:

zenity lacks the --html option, probably needs to compile zenity with WebKit. 

Version-Release number of selected component (if applicable):

zenity 3.8.0

How reproducible:

always

Steps to Reproduce:
1.Try this command from a terminal window

echo "hello world" | zenity --text-info --html --filename=/dev/stdin

2. It fails with the following message:

    This option is not available. Please see --help for all possible usages.

3. But without the option --html it works (displays a window with 'hello world')

Actual Results:  
zenity fails in opensuse and fedora, but works in several other distros.

Expected Results:  
success, so that html formatting can be used with zenity --text-info

Additional info:

--html option uses WebKit to render. Probably zenity wasn't compiled with
WebKit, so the option doesn't exist.

Please try to solve the problem by compiling zenity with WebKit!

-----
I had the following mail conversation with a developer/maintainer of zenity, Arx Cruz:

Hello

--html option uses WebKit to render. Probably zenity wasn't compiled with WebKit, so the option doesn't exist. You need to open a bug against the distro to compile zenity with WebKit.

Kind regards 
Arx Cruz

On Monday, September 15, 2014, Nio Wiklund <nio.wiklund> wrote:

    Hi Arx Cruz,

    *Background*

    I found your name at https://wiki.gnome.org when looking for information
    about the --html option in zenity --text-info

    I use zenity in 'mkusb' version 9 described at

    https://help.ubuntu.com/community/mkusb

    This command (in a bash script) was developed in Ubuntu and works in
    several distros, for example Debian, Knoppix and Mageia Gnome:

    in the mkusb script:

    (echo "$htmlbody") | zenity --text-info --html --filename=/dev/stdin \
    --height=$(($hadd+120)) --title "" --timeout 2 2>> "$errout"

    for testing from a command line:

    echo "hello world" | zenity --text-info --html --filename=/dev/stdin

    But in Fedora and openSUSE, it fails. It seems to me, that the --html
    option is missing.

    I use the --html option to enable colours, text control and graphics.

    1. Red background for a final warning before flashing an iso to a device

    2. For better control of the text

    3. For graphics - the mkusb logo icon and an arrow

    *Question*

    Is it correct, that the --html option is missing? Or is it something
    else that makes it fail?

    *Details*

    Ubuntu 12.04.5 LTS uses zenity version 3.4.0
    Ubuntu 14.04.1 LTS uses zenity version 3.8.0
    Knoppix 7.4 (the current version) uses zenity version 3.12

    and they all work.
    -----
    Fedora 20-GNOME uses zenity version 3.8.0

    Fedora-Live-Desktop-x86_64-20-1.iso

    and fails with the following message:

    This option is not available. Please see --help for all possible usages.

    It works without the --html option
    -----

    Best regards
    Nio

Comment 1 sudodus 2014-09-15 16:29:59 UTC
I downloaded and tested the 32-bit KDE version

Fedora-Live-KDE-i686-20-1.iso

and it suffers from the same problem with zenity concerning the option --html, all architechtures, or at least the two most important ones are affected by this but.

Comment 2 sudodus 2014-09-15 16:31:46 UTC
Correcting a typing error in the last word of the previous comment: but --> bug.

Comment 3 Fedora End Of Life 2015-05-29 12:53:00 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2015-06-29 22:32:45 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.